cl-ppcre (20180805.git2115632-1) unstable; urgency=medium

  * New upstream release
  * Actually fail autopkgtest on test failure.
  * Rules-Requires-Root: no
  * Bump S-V to 4.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 07 Oct 2018 17:34:13 +0200

cl-ppcre (20171222.gitd01bbf7-1) unstable; urgency=medium

  * New upstream snapshot.
  * Mark package M-A foreign.
  * Bump to debhelper compat level 11
  * Convert d/rules to dh.
  * Ship cl-ppcre-unicode and test systems.
    Add a Depends on cl-unicode (for the former) and a Recommends on
    cl-flexi-streams (for the latter).
  * Ship README.md.
  * Update package description.
  * Bump S-V to 4.1.4.
  * Rewrite d/copyright using machine-readable format 1.0.
  * Add an autopkgtest that run the testsuites on sbcl, ecl and clisp.
  * Add myself to Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Apr 2018 11:59:45 +0200

cl-ppcre (2.0.3-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Update URL for Homepage.
  * Remove Build-Depends on dh-lisp.
  * Remove obsolete README.building.
  * Update d/watch using uscan git HEAD mode.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 08 Apr 2018 10:19:17 +0200

cl-ppcre (2.0.3-1) unstable; urgency=low

  * Team upload for new upstream release.
  * debian/control:
    - Bump std-ver 3.8.2 -> 3.9.2, no change required.
    - Remove very long line in long description.
    - Build-Depends on debhelper >= 8.
  * debian/compat: update 7 -> 8.
  * debian/source/format: 3.0 (quilt)

 -- Aron Xu <aron@debian.org>  Tue, 31 Jan 2012 00:46:05 +0800

cl-ppcre (2.0.1-2) unstable; urgency=low

  * Added debian/README.building
  * changed to lisp Section
  * Updated Standards-Version no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 03 Sep 2009 16:41:31 +0100

cl-ppcre (2.0.1-1) unstable; urgency=low

  * New upstream. Major changes:
   + Fixed faulty declaration (caught by Brent Fulgham)
   + Added named properties (\p{foo})
   + Added Unicode support
   + Introduced test functions for character classes
   + Added optional test function optimization
   + Cleaned up test suite, removed performance cruft
   + Removed the various alternative system definitions 
     (too much maintenance work)
   + Exported PARSE-STRING
   + Changed default value of *USE-BMH-MATCHERS*
   + General cleanup
   + Lots of documentation additions
   + Skip non-characters in CREATE-RANGES-FROM-SET
   + Replaced hash tables with charsets (by Nikodemus Siivola)
   + Get rid of duplicates in REGEX-APROPOS(-LIST)
   + Let the Lisp decide how it wants to enlarge its hash tables
   + Fixed anchors for special variables in docs
   + Fixed typo in docs (thanks to Jason S. Cornez)
  * updated standard version without any real changes
  * use dh_prep instead of dh_clean -k
  * Fixed documentation section

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 29 Apr 2009 06:52:58 +0200

cl-ppcre (1.3.2-2) unstable; urgency=low

  * Changed to group maintanance
  * Corrected Vcs-Git control field
  * swap binary-indep and binary-arch round
  * Updated Standard Version without real changes
  * Added Homepage field

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Mar 2008 22:03:29 +0100

cl-ppcre (1.3.2-1) unstable; urgency=low

  * New upstream. Major changes:  
    + Updated docs and ChangeLog to be really in sync with 1.3.1 changes (thanks to Sébastien Saint-Sevin)
    + Second return value for REGEX-REPLACE and REGEX-REPLACE-ALL (patch by Matthew

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 14 Sep 2007 23:21:45 +0200

cl-ppcre (1.3.0-2) unstable; urgency=low

  * Upload to unstable. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 09 Apr 2007 01:14:40 +0200

cl-ppcre (1.3.0-1) experimental; urgency=low

  * New upstream version, major changes:
    + Optional support for named registers (patch by Ondrej Svitek)

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 27 Mar 2007 07:22:57 +0200

cl-ppcre (1.2.19-1) experimental; urgency=low

  * new upstream with small fix:
    Fixed behaviour of look-behind in repeated scans
      (caught by RegexCoach user Hans Jud)
  * upload to experimental during the freeze

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 Feb 2007 11:07:42 +0100

cl-ppcre (1.2.18-1) unstable; urgency=low

  * Added XS-X-Vcs-Darcs header
  * modified S-X-Vcs-Darcs to XS-Vcs-Darcs field
  * New upstream version. Major changes:
     +Changed default element type for LispWorks
     +Fixed documentation for REGEX-REPLACE-ALL^I$
     +Fixed bug in DO-SCANS which affected anchors (caught by RegexCoach user Laurent Taupiac)
     +Update link for 'man perlre' (thanks to Ricardo Boccato Alves)


 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  1 Dec 2006 09:20:15 +0100

cl-ppcre (1.2.16-1) unstable; urgency=low

  * New upstream release:
    - Added :ELEMENT-TYPE to REGEX-REPLACE(-ALL)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 28 Jul 2006 10:23:56 +0200

cl-ppcre (1.2.15-1) unstable; urgency=low

  * New upstream version. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  5 Jul 2006 14:50:00 +0200

cl-ppcre (1.2.14-1) unstable; urgency=low

  * New upstream release, changes:
      Added missing </code> tag in docs (thanks to Wojciech Kaczmarek)
      Fixed IMPORT statement for LW 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 31 May 2006 10:53:17 +0200

cl-ppcre (1.2.13-2) unstable; urgency=low

  [ René van Bevern ]
  * debian/control: move debhelper to Build-Depends instead of
    Build-Depends indep because it is used in the "clean" target.

  [ Peter Van Eynde ]
  * applied the fixes from backports.org
  * updated standard version

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 15 May 2006 20:33:04 +0200

cl-ppcre (1.2.13-1) unstable; urgency=low

  * New upstream

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Dec 2005 11:53:05 +0100

cl-ppcre (1.2.12-1) unstable; urgency=low

  * New upstream
  * Use dh-lisp

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  2 Nov 2005 12:01:44 +0100

cl-ppcre (1.2.11-1) unstable; urgency=low

  * New upstream version

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  2 Aug 2005 13:37:17 +0200

cl-ppcre (1.2.10-1) unstable; urgency=low

  * Now uses darcs
  * Updated standard version
  * Update download location
  * New upstream

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  1 Aug 2005 14:35:29 +0200

cl-ppcre (1.2.9-1) unstable; urgency=low

  * New upstream. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Jun 2005 14:37:37 +0200

cl-ppcre (1.2.7-1) unstable; urgency=low

  * New upstream.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  3 Jun 2005 07:37:16 +0200

cl-ppcre (1.2.6-1) unstable; urgency=low

  * New upstream. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 11 May 2005 11:39:12 +0200

cl-ppcre (1.2.4-1) unstable; urgency=low

  * New upstream
  * Do not mv CHANGELOG to changelog

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  8 Mar 2005 11:34:01 +0100

cl-ppcre (1.2.3-2) unstable; urgency=low

  * New maintainer. (Closes: #297383: O: cl-ppcre -- Portable Regular
    Express Library for Common Lisp)
  * Adopted by Peter Van Eynde

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  1 Mar 2005 10:14:43 +0100

cl-ppcre (1.2.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  2 Feb 2005 12:31:48 -0700

cl-ppcre (1.2.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 28 Jan 2005 17:33:59 -0700

cl-ppcre (1.1.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 23 Jan 2005 11:06:37 -0700

cl-ppcre (0.9.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 18 Dec 2004 17:10:40 -0700

cl-ppcre (0.9.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  7 Dec 2004 11:03:33 -0700

cl-ppcre (0.9.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  4 Dec 2004 22:27:59 -0700

cl-ppcre (0.9.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 18 Oct 2004 21:21:50 -0600

cl-ppcre (0.8.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 16 Sep 2004 04:50:01 -0600

cl-ppcre (0.7.9-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 13 Jul 2004 11:24:30 -0600

cl-ppcre (0.7.8-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 12 Jul 2004 19:00:51 -0600

cl-ppcre (0.7.7-1) unstable; urgency=low

  * New usptream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 19 May 2004 18:36:31 -0600

cl-ppcre (0.7.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 Apr 2004 08:04:01 -0600

cl-ppcre (0.7.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 14 Mar 2004 15:25:54 -0700

cl-ppcre (0.7.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 27 Jan 2004 17:59:39 -0700

cl-ppcre (0.7.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 27 Jan 2004 14:01:00 -0700

cl-ppcre (0.7.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 24 Oct 2003 09:00:47 -0600

cl-ppcre (0.7.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 22 Oct 2003 20:03:14 -0600

cl-ppcre (0.6.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 11 Oct 2003 12:31:51 -0600

cl-ppcre (0.6.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  7 Oct 2003 09:26:14 -0600

cl-ppcre (0.5.8-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 16 Sep 2003 16:10:04 -0600

cl-ppcre (0.5.7-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 20 Aug 2003 11:16:51 -0600

cl-ppcre (0.5.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 11 Jul 2003 05:01:20 -0600

cl-ppcre (0.5.4b-1) unstable; urgency=low

  * Patch to allow building on sbcl

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 30 Apr 2003 06:04:09 -0600

cl-ppcre (0.5.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Apr 2003 09:57:28 -0600

cl-ppcre (0.5.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 26 Mar 2003 22:43:59 -0700

cl-ppcre (0.5.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 26 Mar 2003 18:46:31 -0700

cl-ppcre (0.4.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 20 Mar 2003 18:46:18 -0700

cl-ppcre (0.4.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 20 Mar 2003 18:46:11 -0700

cl-ppcre (0.3.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 18 Jan 2003 23:21:13 -0700

cl-ppcre (0.3.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 11 Jan 2003 16:52:11 -0700

cl-ppcre (0.2.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 11 Jan 2003 15:22:30 -0700

cl-ppcre (0.1.3-2) unstable; urgency=low

  * Install HTML documentation, use doc-base

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 30 Dec 2002 13:35:12 -0700

cl-ppcre (0.1.3-1) unstable; urgency=low

  * Use upstream ASDF files

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 28 Dec 2002 00:30:01 -0700

cl-ppcre (0.1.2-1) unstable; urgency=low

  * New upstream release (closes: 173826)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 21 Dec 2002 20:29:33 -0700

cl-ppcre (0.0+release.2002.12.19-1) unstable; urgency=low

  * Initial Debian upload (closes: 173826)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 21 Dec 2002 14:30:17 -0700
